Add or update a partner closed date
POST
/api/partners/{id}/closures
const url = 'https://example.com/api/partners/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/closures';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"closure_date":"2026-08-01","reason":"Facility Maintenance Day"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/partners/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/closures \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "closure_date": "2026-08-01", "reason": "Facility Maintenance Day" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
closure_date
required
string format: date
Example
2026-08-01reason
string
Example
Facility Maintenance DayResponses
Section titled “Responses”Closure date saved successfully